%define major 3
%define libname %mklibname ev %{major}
%define develname %mklibname ev -d

Summary:	High-performance event loop/event model
Name:		libev
Epoch:		1
Version:	3.9
Release:	%mkrel 3
License:	BSD
Group:		System/Libraries
Url:		http://software.schmorp.de/pkg/libev.html
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
Source1: %{name}.pc.in 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%description
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modelled (very losely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{libname}
Summary:	High-performance event loop/event model
Group:		System/Libraries
Obsoletes:	%mklibname ev 1.4 2

%description -n %{libname}
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modelled (very losely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n	%{develname}
Summary:	High-performance event loop/event model
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
# Installation failed:  file /usr/include/event.h from 
# install of lib64ev-devel-1:3.8-1mdv2010.0.x86_64 
# conflicts with file from package lib64event-devel-1.4.12-1mdv2010.0.x86_64
Conflicts:   %mklibname event -d 

%description -n %{develname}
This is the development files needed in order to develop applications using
libev.

%prep
%setup -q

# Add pkgconfig support
cp -p %{SOURCE1} .
sed -i -e 's|Makefile|Makefile libev.pc|' configure.ac configure
sed -i -e 's|lib_LTLIBRARIES|pkgconfigdir = $(libdir)/pkgconfig\n\npkgconfig_DATA = libev.pc\n\nlib_LTLIBRARIES|' \
    Makefile.am Makefile.in 
aclocal
automake

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README
%{_includedir}/ev*.h
%{_libdir}/libev*.a
%{_libdir}/libev*.so
%{_libdir}/libev*.la
%{_libdir}/pkgconfig/%{name}.pc 
%{_mandir}/man3/ev*


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.9-3mdv2011.0
+ Revision: 609742
- rebuild

* Sat Feb 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.9-2mdv2010.1
+ Revision: 501398
- add pkgconfig support

* Sun Jan 03 2010 Frederik Himpe <fhimpe@mandriva.org> 1:3.9-1mdv2010.1
+ Revision: 485975
- update to new version 3.9

  + Michael Scherer <misc@mandriva.org>
    - add a Conflict with libevent, as they both have the same header

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1:3.8-1mdv2010.0
+ Revision: 412926
- update to new version 3.8

* Sun Jul 19 2009 Funda Wang <fwang@mandriva.org> 1:3.7-1mdv2010.0
+ Revision: 397414
- New version 3.7

* Mon Feb 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.53-1mdv2009.1
+ Revision: 340738
- update to new version 3.53

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.52-1mdv2009.1
+ Revision: 328092
- update to new version 3.52

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 3.51-1mdv2009.1
+ Revision: 319983
- new version 3.51

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.49-1mdv2009.1
+ Revision: 304484
- update to new version 3.49

* Fri Oct 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.48-1mdv2009.1
+ Revision: 298967
- update to new version 3.48

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 3.45-1mdv2009.1
+ Revision: 296349
- New version 3.45

* Sat Oct 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.44-1mdv2009.1
+ Revision: 292467
- update to new version 3.44

* Mon Jul 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.43-1mdv2009.0
+ Revision: 239434
- update to new version 3.43

* Sun Jun 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.42-1mdv2009.0
+ Revision: 227861
- update to new version 3.42

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.41-1mdv2009.0
+ Revision: 211227
- obsolete old libname
- update to new version 3.41
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix devel description
    - remove libevent URL

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1.4.0-0.beta.1mdv2008.1
+ Revision: 112064
- import libev


* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1.4.0-0.beta.1mdv2008.1
- initial package
